%define anolis_release 1

Name:           iperf3
Version:        3.13
Release:        %{anolis_release}%{?dist}
Summary:        Measurement tool for TCP/UDP bandwidth performance

License:        BSD
URL:            https://github.com/esnet/iperf
Source0:        https://github.com/esnet/iperf/archive/iperf-%{version}.tar.gz
# Report number of reorder_seen
Patch0:         https://github.com/esnet/iperf/pull/1278.patch
BuildRequires:  libuuid-devel
BuildRequires:  gcc
BuildRequires:  lksctp-tools-devel
BuildRequires:  openssl-devel
BuildRequires: make

%description
Iperf is a tool to measure maximum TCP bandwidth, allowing the tuning of
various parameters and UDP characteristics. Iperf reports bandwidth, delay
jitter, data-gram loss.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n iperf-%{version} -p1

%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall -C src INSTALL_DIR="%{buildroot}%{_bindir}"
mkdir -p %{buildroot}%{_mandir}/man1
rm -f %{buildroot}%{_libdir}/libiperf.la

%generate_compatibility_deps

%files
%doc LICENSE RELNOTES.md
%{_mandir}/man1/iperf3.1.zst
%{_mandir}/man3/libiperf.3.zst
%{_bindir}/iperf3
%{_libdir}/*.so.*
%dir %{abidir}
%{abidir}/iperf3-option.list
%{abidir}/libiperf.dump

%files          doc
%doc README.md 

%files          devel
%{_includedir}/iperf_api.h
%{_libdir}/*.so

%changelog
* Tue Apr 18 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.13-1
- Init upstream from version 3.13
